import * as $dara from '@darabonba/typescript';
import { DeleteContainerPluginRuleResponseBody } from "./DeleteContainerPluginRuleResponseBody";
export declare class DeleteContainerPluginRuleResponse extends $dara.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: DeleteContainerPluginRuleResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
